###  | #  |

Public Member Functions | List of all members
MutableChannelConcept< T > Struct Template Reference
Channel » Concepts

A channel that allows for modifying its value. More...

`#include <channel.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename T>
struct boost::gil::MutableChannelConcept< T >

A channel that allows for modifying its value.

concept MutableChannelConcept<ChannelConcept T> : Assignable<T>, Swappable<T> {};
boost::gil::Assignable
Concept of copy assignment requirement.
Definition: basic.hpp:82
boost::gil::ChannelConcept
A channel is the building block of a color. Color is defined as a mixture of primary colors and a cha...
Definition: concepts/channel.hpp:75
boost::gil::MutableChannelConcept
A channel that allows for modifying its value.
Definition: concepts/channel.hpp:119
boost::gil::Swappable
Concept of swap operation requirement.
Definition: basic.hpp:119

The documentation for this struct was generated from the following file:

- concepts/channel.hpp